Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2016919

Summary: [abrt] soundconverter: get_progress(): converter.py:263:get_progress:ZeroDivisionError: float division by zero
Product: [Fedora] Fedora Reporter: Dario Castellarin <req1348>
Component: soundconverterAssignee: Richard Shaw <hobbes1069>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: denis, hobbes1069, lxtnow, nobrakal, pranav913
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/ecd09aec01f8c811bc0de5a182d54db74ecd769a
Whiteboard: abrt_hash:515bff742bf26f3e31c077b136998422dddeac84;VARIANT_ID=workstation;
Fixed In Version: soundconverter-4.0.3-1.fc35 soundconverter-4.0.3-1.fc33 soundconverter-4.0.3-1.fc34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-03 01:11:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
File: backtrace
none
File: cpuinfo
none
File: environ
none
File: mountinfo
none
File: namespaces
none
File: open_fds none

Description Dario Castellarin 2021-10-25 06:58:41 UTC
Description of problem:
I was converting files in several folders from FLAC to OPUS.
When adding the folders, SoundConverter added also JPEG files to the conversion list.
When it tried to convert them, it returned an error, the GUI stopped showing progress but the conversion continued in the background.

Version-Release number of selected component:
soundconverter-4.0.1-5.fc34

Additional info:
reporter:       libreport-2.15.2
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-soundconverter-60799.scope
cmdline:        /usr/bin/python3 -s /usr/bin/soundconverter
crash_function: get_progress
exception_type: ZeroDivisionError
executable:     /usr/bin/soundconverter
interpreter:    python3-3.9.7-1.fc34.x86_64
kernel:         5.14.14-200.fc34.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
converter.py:263:get_progress:ZeroDivisionError: float division by zero

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/soundconverter/interface/ui.py", line 1273, in update_progress
    total_progress, task_progress = self.converter_queue.get_progress()
  File "/usr/lib/python3.9/site-packages/soundconverter/util/taskqueue.py", line 73, in get_progress
    progress, weight = task.get_progress()
  File "/usr/lib/python3.9/site-packages/soundconverter/gstreamer/converter.py", line 263, in get_progress
    progress = position / duration
ZeroDivisionError: float division by zero

Local variables in innermost frame:
self: <soundconverter.gstreamer.converter.Converter object at 0x7fd32433b5b0>
duration: 0.0
position: 0

Comment 1 Dario Castellarin 2021-10-25 06:58:45 UTC
Created attachment 1836586 [details]
File: backtrace

Comment 2 Dario Castellarin 2021-10-25 06:58:46 UTC
Created attachment 1836587 [details]
File: cpuinfo

Comment 3 Dario Castellarin 2021-10-25 06:58:47 UTC
Created attachment 1836588 [details]
File: environ

Comment 4 Dario Castellarin 2021-10-25 06:58:48 UTC
Created attachment 1836589 [details]
File: mountinfo

Comment 5 Dario Castellarin 2021-10-25 06:58:50 UTC
Created attachment 1836590 [details]
File: namespaces

Comment 6 Dario Castellarin 2021-10-25 06:58:51 UTC
Created attachment 1836591 [details]
File: open_fds

Comment 8 Fedora Update System 2021-10-25 14:44:42 UTC
FEDORA-2021-1fe2a8a7d6 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1fe2a8a7d6

Comment 9 Fedora Update System 2021-10-25 14:44:45 UTC
FEDORA-2021-5d3fa92e1f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5d3fa92e1f

Comment 10 Fedora Update System 2021-10-25 14:44:47 UTC
FEDORA-2021-4d386aa200 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4d386aa200

Comment 11 Fedora Update System 2021-10-26 15:42:25 UTC
FEDORA-2021-5d3fa92e1f has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5d3fa92e1f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5d3fa92e1f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-10-27 02:07:22 UTC
FEDORA-2021-4d386aa200 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4d386aa200`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4d386aa200

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-10-27 02:28:07 UTC
FEDORA-2021-1fe2a8a7d6 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1fe2a8a7d6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1fe2a8a7d6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-11-03 01:11:38 UTC
FEDORA-2021-5d3fa92e1f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-11-04 01:23:12 UTC
FEDORA-2021-4d386aa200 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-11-04 01:33:07 UTC
FEDORA-2021-1fe2a8a7d6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.